// app.js

const toggleCustomTabBar = require('./custom-tab-bar/toggleCustomTabBar')

App({
  async onLaunch() {

    // 获取下拉框信息
    toggleCustomTabBar.updateConfig(this.globalData.baseUrl)

    // // 展示本地存储能力
    // const logs = wx.getStorageSync('logs') || []
    // logs.unshift(Date.now())
    // wx.setStorageSync('logs', logs)

    // // 登录
    // wx.login({
    //   success: res => {
    //     // 发送 res.code 到后台换取 openId, sessionKey, unionId
    //   }
    // })
  },
  globalData: {
    // debugMode: true, // 是否展示调试内容
    /**
     * FIXME 环境配置
     *
     * baseUrl
     * - 线上环境：'https://epp.only4.work'
     * - 开发环境：'http://localhost'
     */
    baseUrl: "http://localhost", // Api 请求域名 不带最后的 /
    userInfo: null
  }
})
